










      INTEGER      MAXGRT
      PARAMETER    (MAXGRT=2*NUMUA)
      INTEGER      NUMGRT


      INTEGER      MAXGRS
      PARAMETER    (MAXGRS=10)


      INTEGER      HGRAAS(NUMUA)
      INTEGER      HGRAAE(NUMUA)
      INTEGER      HGRAAN(NUMUA)


      INTEGER      HGRNUM(MAXGRT)


      REAL         HGRPEN(0:MAXGRS,MAXGRT)


      INTEGER HGRATI(NUMUA,MAXTAT)

      COMMON /HGRCOMR/ HGRPEN
      COMMON /HGRCOMI/ HGRAAS, HGRAAE, HGRAAN, HGRATI, HGRNUM, NUMGRT
